# GoogleDriveApp MCP Server

An MCP Server for the GoogleDriveApp API.

## 🛠️ Tool List

This is automatically generated from OpenAPI schema for the GoogleDriveApp API.


| Tool | Description |
|------|-------------|
| `get_drive_info` | Retrieves detailed information about the user's Google Drive storage and account. |
| `list_files` | Lists and retrieves files from Google Drive with optional filtering, pagination, and sorting. |
| `create_file_from_text` | Creates a new file in Google Drive with specified text content and returns the file's metadata. |
| `upload_a_file` | Uploads a file to Google Drive by creating a file metadata entry and uploading the binary content. |
| `find_folder_id_by_name` | Searches for and retrieves a Google Drive folder's ID using its name. |
| `create_folder` | Creates a new folder in Google Drive with optional parent folder specification |
| `get_file` | Retrieves detailed metadata for a specific file using its ID. |
| `delete_file` | Deletes a specified file from Google Drive and returns a status message. |
| `list_user_sinstalled_apps` | List user's installed apps |
| `get_aspecific_app` | Get a specific app |
| `information_about_user_and_drive` | Information about user and drive |
| `list_changes_made_to_afile_or_drive` | List changes made to a file or drive |
| `get_start_page_token` | Gets the starting pageToken for listing future changes |
| `subscribe_to_changes_for_auser` | Subscribe to changes for a user |
| `post_stop_channel` | Stop watching resources through a channel |
| `lists_afile_scomments` | Lists a file's comments |
| `create_acomment_on_afile` | Create a comment on a file |
| `get_comment_by_id` | Get comment by ID |
| `delete_acomment` | Delete a comment |
| `update_comment` | Update comment |
| `list_user_sshared_drive` | List user's shared drive |
| `create_ashared_drive` | Create a shared drive |
| `get_ashared_drive_smetadata_by_id` | Get a shared drive's metadata by ID |
| `permanently_delete_ashared_drive` | Permanently delete a shared drive |
| `update_metadata_for_ashared_drive` | Update metadata for a shared drive |
| `hide_drive_by_id_post` | Hide a shared drive from the default view |
| `unhide_drive` | Restore shared drive to default view |
| `list_user_sfiles` | List user's files |
| `create_anew_file` | Create a new file |
| `generate_aset_of_file_ids` | Generate a set of file IDs |
| `empty_trash_files` | Permanently delete all of the trashed files |
| `get_afile_smetadata_or_content_by_id` | Get a file's metadata or content by ID |
| `delete_file_by_id` | Permanently delete a file without moving it to the trash |
| `update_file` | Update a file's metadata and/or content |
| `copy_file_by_id` | Create a copy of a file and apply any requested update |
| `export_agoogle_workspace_document` | Export a Google Workspace document |
| `list_the_labels_on_afile` | List the labels on a file |
| `modify_labels_applied_to_afile` | Modify labels applied to a file |
| `subscribe_to_changes_to_afile` | Subscribe to changes to a file |
| `list_file_permissions` | List a file's or shared drive's permissions |
| `post_file_permission` | Create a permission for a file or shared drive |
| `get_permission_by_id` | Get permission by ID |
| `delete_apermission` | Delete a permission |
| `update_apermission` | Update a permission |
| `list_acomment_sreplies` | List a comment's replies |
| `create_areply_to_acomment` | Create a reply to a comment |
| `get_reply_by_id` | Get reply by ID |
| `delete_areply` | Delete a reply |
| `update_areply` | Update a reply |
| `list_afile_srevisions` | List a file's revisions |
| `get_aspecific_revision` | Get a specific revision |
| `permanently_delete_afile_version` | Permanently delete a file version |
| `update_arevision` | Update a revision |
| `list_all_members_of_achannel` | List all members of a channel |
| `fetch_user_email` | Fetch User Email |
| `grant_google_drive_access` | Grant Google Drive Access |
